import figma, { html } from '@figma/code-connect/html';
figma.connect('https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=11880-28442', {
    props: {
        expanded: figma.enum('🚫 Expanded sidebar', {
            True: true,
            False: false,
        }),
        expandable: figma.boolean('Is expandable'),
        hasProfileInfo: figma.boolean('Has profile info'),
        hasUserMenu: figma.boolean('User menu'),
    },
    example: ({ expandable }) => html `<m-sidebar-footer
        title="User name"
        subtitle="Role"
        avatar="/avatar.png"
        expandable="${expandable}"
      ></m-sidebar-footer>`,
});
